Range-v3: ranges::chunk_view_< Rng, false > Struct Template Reference

Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Public Member Functions | List of all members
ranges::chunk_view_< Rng, false > Struct Template Reference
Views
Inheritance diagram for ranges::chunk_view_< Rng, false >:

## Public Member Functions
Rng | base () const
constexpr | chunk_view_ (Rng rng, range_difference_t< Rng > n)
constexpr auto | size ()
constexpr auto | size () const
Public Member Functions inherited from ranges::view_facade< chunk_view_< Rng, false >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr auto | begin () -> detail::facade_iterator_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `b` be `std::as_const(d).begin_cursor()` if that expression is well-formed; otherwise, let `b` be `d.begin_cursor()`. Let `B` be the type of `b`. More...
constexpr auto | begin () const -> detail::facade_iterator_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr auto | end () -> detail::facade_sentinel_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `e` be `std::as_const(d).end_cursor()` if that expression is well-formed; otherwise, let `e` be `d.end_cursor()`. Let `E` be the type of `e`. More...
constexpr auto | end () const -> detail::facade_sentinel_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
Public Member Functions inherited from ranges::view_interface< chunk_view_< Rng, false >, Cardinality >
constexpr auto | empty () const noexcept -> bool
| Test whether a range can be empty:
&&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > const > constexpr bool | empty () const noexcept(noexcept(bool(ranges::begin(std::declval< D< True > const & >())==ranges::end(std::declval< D< True > const & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > >) &&sized_range< D< True > > constexpr bool empty() noexcept(noexcept(bool(ranges::size(std::declval< D< True > & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > const >) &&sized_range< D< True > const > constexpr bool empty() const noexcept(noexcept(bool(ranges::size(std::declval< D< True > const & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > > constexpr bool | empty () noexcept(noexcept(bool(ranges::begin(std::declval< D< True > & >())==ranges::end(std::declval< D< True > & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&detail::can_empty_< D< True > const > constexpr | operator bool () const noexcept(noexcept(ranges::empty(std::declval< D< True > const & >())))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&detail::can_empty_< D< True > > constexpr | operator bool () noexcept(noexcept(ranges::empty(std::declval< D< True > & >())))
view_interface & | operator= (view_interface &&)=default
view_interface & | operator= (view_interface const &)=default
| view_interface (view_interface &&)=default
| view_interface (view_interface const &)=default

## Additional Inherited Members
Protected Types inherited from ranges::view_interface< chunk_view_< Rng, false >, Cardinality >
using | D = meta::invoke< detail::dependent_< B >, chunk_view_< Rng, false > >
Protected Member Functions inherited from ranges::view_facade< chunk_view_< Rng, false >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr view_as_cursor | begin_cursor () const
constexpr default_sentinel_t | end_cursor () const
Protected Member Functions inherited from ranges::view_interface< chunk_view_< Rng, false >, Cardinality >
constexpr chunk_view_< Rng, false > const & | derived () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr chunk_view_< Rng, false > & | derived () noexcept
Protected Attributes inherited from ranges::view_facade< chunk_view_< Rng, false >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
friend | range_access